0

This question already has an answer here:

How do I install a specific version of duplicity. The one I have is duplicity 0.6.21 and the one I want is 0.6.18

marked as duplicate by David Foerster, Fabby, karel, user535733, user68186 Aug 29 '18 at 17:01

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

1

Another method would be using the = operand in apt-get/aptitude:

sudo apt-get install duplicity=0.6.21-0ubuntu13
sudo aptitude install duplicity=0.6.21-0ubuntu13
1
  1. http://packages.ubuntu.com/search?keywords=duplicity

    enter image description here

  2. so we want the raring version: http://packages.ubuntu.com/raring/duplicity shows:

    enter image description here

  3. The i386 leads to: http://packages.ubuntu.com/raring/i386/duplicity/download and the amd486 leads to: http://packages.ubuntu.com/raring/amd64/duplicity/download where you will find the actual .DEB file for download.

  4. In short:

and after it finishes double click the download and Ubuntu Software Center will do the installation. This does not always work for any download: it is possible that a package depends in something else that is not installed. The 2nd link above (this one) shows what packages it depends on.

  • Thanks for your response. I get a error though. it reads 'wrong architecture amd64' this is when I download the i386 from your 4ht point and my pc is i386. I also tried the amd64 download and get the same error. – Rubi Sep 19 '13 at 11:53

Not the answer you're looking for? Browse other questions tagged or ask your own question.